using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// HdBindRecord)Controller
    /// </summary>
    // [Route("${Router}$")]
    // [ApiExplorerSettings(GroupName = "HdBindRecord")]
    public class HdBindRecordController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IHdBindRecordService _HdBindRecordService;


        public HdBindRecordController(IHdBindRecordService HdBindRecordService)
        {
            _HdBindRecordService = HdBindRecordService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/kxssp/HdBindRecord/getHdBindRecordList")]
        public IActionResult getHdBindRecordList([FromQuery] PagerInfo page, [FromQuery] HdBindRecord param)
        {
            var response = _HdBindRecordService.getHdBindRecordList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/kxssp/HdBindRecord/getHdBindRecordQuery")]
        public IActionResult getHdBindRecordQuery([FromQuery] HdBindRecord param)
        {
            var response = _HdBindRecordService.getHdBindRecordQuery(param.id).Adapt<GetHdBindRecordQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/kxssp/HdBindRecord/addHdBindRecord")]
        public IActionResult addHdBindRecord([FromBody] HdBindRecord param)
        {
            var modal = param.Adapt<HdBindRecord>().ToCreate(HttpContext);
            var response = _HdBindRecordService.addHdBindRecord(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/kxssp/HdBindRecord/updateHdBindRecord")]
        public IActionResult updateHdBindRecord([FromBody] HdBindRecord param)
        {
            var modal = param.Adapt<HdBindRecord>().ToCreate(HttpContext);
            var response = _HdBindRecordService.updateHdBindRecord(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/kxssp/HdBindRecord/deleteHdBindRecord/{id}")]
        public IActionResult deleteHdBindRecord(int id)
        {
            var response = _HdBindRecordService.deleteHdBindRecord(id);
            return SUCCESS(response);
        }




    }
}