using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// HdChangeRecord)Controller
    /// </summary>
    // [Route("${Router}$")]
    // [ApiExplorerSettings(GroupName = "HdChangeRecord")]
    public class HdChangeRecordController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IHdChangeRecordService _HdChangeRecordService;


        public HdChangeRecordController(IHdChangeRecordService HdChangeRecordService)
        {
            _HdChangeRecordService = HdChangeRecordService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/kxssp/HdChangeRecord/getHdChangeRecordList")]
        public IActionResult getHdChangeRecordList([FromQuery] PagerInfo page, [FromQuery] HdChangeRecord param)
        {
            var response = _HdChangeRecordService.getHdChangeRecordList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/kxssp/HdChangeRecord/getHdChangeRecordQuery")]
        public IActionResult getHdChangeRecordQuery([FromQuery] HdChangeRecord param)
        {
            var response = _HdChangeRecordService.GetFirst(m => m.id == param.id).Adapt<GetHdChangeRecordQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/kxssp/HdChangeRecord/addHdChangeRecord")]
        public IActionResult addHdChangeRecord([FromBody] HdChangeRecord param)
        {
            var modal = param.Adapt<HdChangeRecord>().ToCreate(HttpContext);
            var response = _HdChangeRecordService.InsertReturnIdentity(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/kxssp/HdChangeRecord/updateHdChangeRecord")]
        public IActionResult updateHdChangeRecord([FromBody] HdChangeRecord param)
        {
            var modal = param.Adapt<HdChangeRecord>().ToCreate(HttpContext);
            var response = _HdChangeRecordService.Update(modal, true);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/kxssp/HdChangeRecord/deleteHdChangeRecord/{id}")]
        public IActionResult deleteHdChangeRecord(int id)
        {
            var response = _HdChangeRecordService.Delete(id);
            return SUCCESS(response);
        }




    }
}