using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// HdDepositRecord)Controller
    /// </summary>
    // [Route("${Router}$")]
    // [ApiExplorerSettings(GroupName = "HdDepositRecord")]
    public class HdDepositRecordController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IHdDepositRecordService _HdDepositRecordService;


        public HdDepositRecordController(IHdDepositRecordService HdDepositRecordService)
        {
            _HdDepositRecordService = HdDepositRecordService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/kxssp/HdDepositRecord/getHdDepositRecordList")]
        public IActionResult getHdDepositRecordList([FromQuery] PagerInfo page, [FromQuery] HdDepositRecord param)
        {
            var response = _HdDepositRecordService.getHdDepositRecordList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/kxssp/HdDepositRecord/getHdDepositRecordQuery")]
        public IActionResult getHdDepositRecordQuery([FromQuery] HdDepositRecord param)
        {
            var response = _HdDepositRecordService.getHdDepositRecordQuery(param.id).Adapt<GetHdDepositRecordQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/kxssp/HdDepositRecord/addHdDepositRecord")]
        public IActionResult addHdDepositRecord([FromBody] HdDepositRecord param)
        {
            var modal = param.Adapt<HdDepositRecord>().ToCreate(HttpContext);
            var response = _HdDepositRecordService.addHdDepositRecord(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/kxssp/HdDepositRecord/updateHdDepositRecord")]
        public IActionResult updateHdDepositRecord([FromBody] HdDepositRecord param)
        {
            var modal = param.Adapt<HdDepositRecord>().ToCreate(HttpContext);
            var response = _HdDepositRecordService.updateHdDepositRecord(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/kxssp/HdDepositRecord/deleteHdDepositRecord/{id}")]
        public IActionResult deleteHdDepositRecord(long id)
        {
            var response = _HdDepositRecordService.deleteHdDepositRecord(id);
            return SUCCESS(response);
        }




    }
}