using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// HdTradeRecord)Controller
    /// </summary>
    // [Route("${Router}$")]
    // [ApiExplorerSettings(GroupName = "HdTradeRecord")]
    public class HdTradeRecordController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IHdTradeRecordService _HdTradeRecordService;


        public HdTradeRecordController(IHdTradeRecordService HdTradeRecordService)
        {
            _HdTradeRecordService = HdTradeRecordService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/kxssp/HdTradeRecord/getHdTradeRecordList")]
        public IActionResult getHdTradeRecordList([FromQuery] PagerInfo page, [FromQuery] HdTradeRecord param)
        {
            var response = _HdTradeRecordService.getHdTradeRecordList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/kxssp/HdTradeRecord/getHdTradeRecordQuery")]
        public IActionResult getHdTradeRecordQuery([FromQuery] HdTradeRecord param)
        {
            var response = _HdTradeRecordService.getHdTradeRecordQuery(param.id).Adapt<GetHdTradeRecordQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/kxssp/HdTradeRecord/addHdTradeRecord")]
        public IActionResult addHdTradeRecord([FromBody] HdTradeRecord param)
        {
            var modal = param.Adapt<HdTradeRecord>().ToCreate(HttpContext);
            var response = _HdTradeRecordService.addHdTradeRecord(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/kxssp/HdTradeRecord/updateHdTradeRecord")]
        public IActionResult updateHdTradeRecord([FromBody] HdTradeRecord param)
        {
            var modal = param.Adapt<HdTradeRecord>().ToCreate(HttpContext);
            var response = _HdTradeRecordService.updateHdTradeRecord(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/kxssp/HdTradeRecord/deleteHdTradeRecord/{id}")]
        public IActionResult deleteHdTradeRecord(int id)
        {
            var response = _HdTradeRecordService.deleteHdTradeRecord(id);
            return SUCCESS(response);
        }




    }
}