using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// HdUnBindRecord)Controller
    /// </summary>
    // [Route("${Router}$")]
    // [ApiExplorerSettings(GroupName = "HdUnBindRecord")]
    public class HdUnBindRecordController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IHdUnBindRecordService _HdUnBindRecordService;


        public HdUnBindRecordController(IHdUnBindRecordService HdUnBindRecordService)
        {
            _HdUnBindRecordService = HdUnBindRecordService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/kxssp/HdUnBindRecord/getHdUnBindRecordList")]
        public IActionResult getHdUnBindRecordList([FromQuery] PagerInfo page, [FromQuery] HdUnBindRecord param)
        {
            var response = _HdUnBindRecordService.getHdUnBindRecordList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/kxssp/HdUnBindRecord/getHdUnBindRecordQuery")]
        public IActionResult getHdUnBindRecordQuery([FromQuery] HdUnBindRecord param)
        {
            var response = _HdUnBindRecordService.GetFirst(m => m.id == param.id).Adapt<GetHdUnBindRecordQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/kxssp/HdUnBindRecord/addHdUnBindRecord")]
        public IActionResult addHdUnBindRecord([FromBody] HdUnBindRecord param)
        {
            var modal = param.Adapt<HdUnBindRecord>().ToCreate(HttpContext);
            var response = _HdUnBindRecordService.InsertReturnIdentity(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/kxssp/HdUnBindRecord/updateHdUnBindRecord")]
        public IActionResult updateHdUnBindRecord([FromBody] HdUnBindRecord param)
        {
            var modal = param.Adapt<HdUnBindRecord>().ToCreate(HttpContext);
            var response = _HdUnBindRecordService.Update(modal, true);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/kxssp/HdUnBindRecord/deleteHdUnBindRecord/{id}")]
        public IActionResult deleteHdUnBindRecord(int id)
        {
            var response = _HdUnBindRecordService.Delete(id);
            return SUCCESS(response);
        }




    }
}