using Mapster;


namespace Model
{
    /// <summary>
    /// 激活记录 ActivateRecord
    /// </summary>
    [SugarTable("ActivateRecord", "激活记录")]
    [Tenant("0")]
    public class ActivateRecord
    {
        /// <summary>
        /// 商户编号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户编号", Length = 32, IsPrimaryKey = true, ColumnName = "MerNo")]
        public string? merNo { get; set; }


        /// <summary>
        /// 商户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商户名称", Length = 32, ColumnName = "MerName")]
        public string? merName { get; set; }


        /// <summary>
        /// 商户手机号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户手机号", Length = 32, ColumnName = "MerMobile")]
        public string? merMobile { get; set; }


        /// <summary>
        /// 终端机身号
        /// </summary>
        [SugarColumn(ColumnDescription = "终端机身号", Length = 32, ColumnName = "SnNo")]
        public string? snNo { get; set; }


        /// <summary>
        /// 注册日期
        /// </summary>
        [SugarColumn(ColumnDescription = "注册日期", ColumnName = "MerRegDate")]
        public DateTime? merRegDate { get; set; }


        /// <summary>
        /// 考核月
        /// </summary>
        [SugarColumn(ColumnDescription = "考核月", Length = 8, ColumnName = "AssessMonth")]
        public string? assessMonth { get; set; }


        /// <summary>
        /// 考核第几月
        /// </summary>
        [SugarColumn(ColumnDescription = "考核第几月", Length = 8, ColumnName = "AssessMonthCount")]
        public string? assessMonthCount { get; set; }


        /// <summary>
        /// 激活状态
        /// </summary>
        [SugarColumn(ColumnDescription = "激活状态", Length = 2, ColumnName = "ActivateStatus")]
        public string? activateStatus { get; set; }


        /// <summary>
        /// 激活日期
        /// </summary>
        [SugarColumn(ColumnDescription = "激活日期", ColumnName = "ActivateDate")]
        public DateTime? activateDate { get; set; }


        /// <summary>
        /// 商户真实姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "商户真实姓名", Length = 16, ColumnName = "MerRealName")]
        public string? merRealName { get; set; }


        /// <summary>
        /// 商户身份证号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户身份证号", Length = 18, ColumnName = "MerIdcardNo")]
        public string? merIdcardNo { get; set; }


        /// <summary>
        /// 业务员编号
        /// </summary>
        [SugarColumn(ColumnDescription = "业务员编号", Length = 16, ColumnName = "BizEnterNo")]
        public string? bizEnterNo { get; set; }


        /// <summary>
        /// 业务员名称
        /// </summary>
        [SugarColumn(ColumnDescription = "业务员名称", Length = 32, ColumnName = "BizEnterName")]
        public string? bizEnterName { get; set; }


        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDescription = "备注", Length = 64, ColumnName = "Remark")]
        public string? remark { get; set; }


        /// <summary>
        /// 代理商编号
        /// </summary>
        [SugarColumn(ColumnDescription = "代理商编号", Length = 32, ColumnName = "AgentNo")]
        public string? agentNo { get; set; }


        /// <summary>
        /// 产品类型
        /// </summary>
        [SugarColumn(ColumnDescription = "产品类型", Length = 32, ColumnName = "ProductType")]
        public string? productType { get; set; }


        /// <summary>
        /// 渠道流水号
        /// </summary>
        [SugarColumn(ColumnDescription = "渠道流水号", Length = 50, ColumnName = "ChannelSerial")]
        public string? channelSerial { get; set; }


        /// <summary>
        /// 备用字段1
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段1", Length = 50, ColumnName = "Field1")]
        public string? field1 { get; set; }


        /// <summary>
        /// 备用字段2
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段2", Length = 50, ColumnName = "Field2")]
        public string? field2 { get; set; }


        /// <summary>
        /// 备用字段3
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段3", Length = 50, ColumnName = "Field3")]
        public string? field3 { get; set; }


        /// <summary>
        /// 备用字段4
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段4", Length = 50, ColumnName = "Field4")]
        public string? field4 { get; set; }


        /// <summary>
        /// 备用字段5
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段5", Length = 50, ColumnName = "Field5")]
        public string? field5 { get; set; }



    }
}