using Mapster;


namespace Model
{
    /// <summary>
    /// 好哒终端商户绑定记录 hd_bind_record
    /// </summary>
    [SplitTable(SplitType.Month)]
    [SugarTable("hd_bind_record_{year}{month}{day}", "好哒终端商户绑定记录")]
    [Tenant("0")]
    public class HdBindRecord
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, ColumnName = "id")]
        public long id { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 删除标记
        /// </summary>
        [SugarColumn(ColumnDescription = "删除标记", ColumnName = "del_flag")]
        public int delFlag { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SplitField]
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_time")]
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_time")]
        public DateTime? updateTime { get; set; }


        /// <summary>
        /// TUSN编码
        /// </summary>
        [SugarColumn(ColumnDescription = "TUSN编码", Length = 50, ColumnName = "sn_no")]
        public string? snNo { get; set; }


        /// <summary>
        /// 平台商户号
        /// </summary>
        [SugarColumn(ColumnDescription = "平台商户号", Length = 50, ColumnName = "mcht_no")]
        public string? mchtNo { get; set; }


        /// <summary>
        /// 设备类型
        /// </summary>
        [SugarColumn(ColumnDescription = "设备类型", Length = 20, ColumnName = "device_type")]
        public string? deviceType { get; set; }


        /// <summary>
        /// 终端绑定时间
        /// </summary>
        [SugarColumn(ColumnDescription = "终端绑定时间", Length = 20, ColumnName = "bind_time")]
        public string? bindTime { get; set; }



    }
}