using Mapster;


namespace Model
{
    /// <summary>
    /// 好哒押金记录 hd_deposit_record
    /// </summary>
    [SplitTable(SplitType.Month)]
    [SugarTable("hd_deposit_record_{year}{month}{day}", "好哒押金记录")]
    [Tenant("0")]
    public class HdDepositRecord
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, ColumnName = "id")]
        public long id { get; set; }


        /// <summary>
        /// 绑定/激活日期
        /// </summary>
        [SugarColumn(ColumnDescription = "绑定/激活日期", Length = 30, ColumnName = "effective_time")]
        public string? effectiveTime { get; set; }


        /// <summary>
        /// 设备类型
        /// </summary>
        [SugarColumn(ColumnDescription = "设备类型", Length = 20, ColumnName = "device_type")]
        public string? deviceType { get; set; }


        /// <summary>
        /// 商户类型
        /// </summary>
        [SugarColumn(ColumnDescription = "商户类型", Length = 30, ColumnName = "channel_kind")]
        public string? channelKind { get; set; }


        /// <summary>
        /// 新的TUSN编码
        /// </summary>
        [SugarColumn(ColumnDescription = "新的TUSN编码", Length = 30, ColumnName = "sn_no")]
        public string? snNo { get; set; }


        /// <summary>
        /// 押金金额
        /// </summary>
        [SugarColumn(ColumnDescription = "押金金额", Length = 20, ColumnName = "deposit_amount")]
        public string? depositAmount { get; set; }


        /// <summary>
        /// 押金活动编号
        /// </summary>
        [SugarColumn(ColumnDescription = "押金活动编号", Length = 20, ColumnName = "activity_id")]
        public string? activityId { get; set; }


        /// <summary>
        /// 平台商户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "平台商户名称", Length = 50, ColumnName = "mcht_nm")]
        public string? mchtNm { get; set; }


        /// <summary>
        /// 平台商户号
        /// </summary>
        [SugarColumn(ColumnDescription = "平台商户号", Length = 50, ColumnName = "mcht_no")]
        public string? mchtNo { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_time")]
        public DateTime? updateTime { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SplitField]
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_time")]
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 删除标记
        /// </summary>
        [SugarColumn(ColumnDescription = "删除标记", ColumnName = "del_flag")]
        public int delFlag { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 商户入网日期
        /// </summary>
        [SugarColumn(ColumnDescription = "商户入网日期", ColumnName = "through_date")]
        public string? throughDate { get; set; }



    }
}