using Mapster;


namespace Model
{
    /// <summary>
    /// 快钱Mpos商户 KqMerchant
    /// </summary>
    [SugarTable("KqMerchant", "快钱Mpos商户")]
    [Tenant("0")]
    public class KqMerchant
    {
        /// <summary>
        /// 商户编号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户编号", Length = 32, IsPrimaryKey = true, ColumnName = "MerNo")]
        public string? merNo { get; set; }


        /// <summary>
        /// 商户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商户名称", Length = 32, ColumnName = "MerName")]
        public string? merName { get; set; }


        /// <summary>
        /// 商户手机号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户手机号", Length = 32, ColumnName = "MerMobile")]
        public string? merMobile { get; set; }


        /// <summary>
        /// 产品类型
        /// </summary>
        [SugarColumn(ColumnDescription = "产品类型", Length = 32, ColumnName = "ProductType")]
        public string? productType { get; set; }


        /// <summary>
        /// 终端机身号
        /// </summary>
        [SugarColumn(ColumnDescription = "终端机身号", Length = 32, ColumnName = "MerSnNo")]
        public string? merSnNo { get; set; }


        /// <summary>
        /// 注册日期
        /// </summary>
        [SugarColumn(ColumnDescription = "注册日期", ColumnName = "MerRegDate")]
        public DateTime? merRegDate { get; set; }


        /// <summary>
        /// 商户绑定时间
        /// </summary>
        [SugarColumn(ColumnDescription = "商户绑定时间", ColumnName = "MerBindDate")]
        public DateTime? merBindDate { get; set; }


        /// <summary>
        /// 商户身份证号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户身份证号", Length = 18, ColumnName = "MerIdcardNo")]
        public string? merIdcardNo { get; set; }


        /// <summary>
        /// 商户真实姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "商户真实姓名", Length = 16, ColumnName = "MerRealName")]
        public string? merRealName { get; set; }


        /// <summary>
        /// 业务员编号
        /// </summary>
        [SugarColumn(ColumnDescription = "业务员编号", Length = 16, ColumnName = "BizEnterNo")]
        public string? bizEnterNo { get; set; }


        /// <summary>
        /// 业务员名称
        /// </summary>
        [SugarColumn(ColumnDescription = "业务员名称", Length = 32, ColumnName = "BizEnterName")]
        public string? bizEnterName { get; set; }


        /// <summary>
        /// 来源类型
        /// </summary>
        [SugarColumn(ColumnDescription = "来源类型", Length = 16, ColumnName = "SourceType")]
        public string? sourceType { get; set; }


        /// <summary>
        /// 省份
        /// </summary>
        [SugarColumn(ColumnDescription = "省份", Length = 32, ColumnName = "Province")]
        public string? province { get; set; }


        /// <summary>
        /// 城市
        /// </summary>
        [SugarColumn(ColumnDescription = "城市", Length = 32, ColumnName = "City")]
        public string? city { get; set; }


        /// <summary>
        /// 注释
        /// </summary>
        [SugarColumn(ColumnDescription = "注释", Length = 64, ColumnName = "Remark")]
        public string? remark { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "CreateTime")]
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "UpdateTime")]
        public DateTime? updateTime { get; set; }



    }
}