using Mapster;


namespace Model
{
    /// <summary>
    /// 分润记录 ProfitRecord
    /// </summary>
    [SugarTable("ProfitRecord", "分润记录")]
    [Tenant("0")]
    public class ProfitRecord
    {
        /// <summary>
        /// 请求号
        /// </summary>
        [SugarColumn(ColumnDescription = "请求号", Length = 50, ColumnName = "requestId")]
        public string? requestId { get; set; }


        /// <summary>
        /// 直属代理编号
        /// </summary>
        [SugarColumn(ColumnDescription = "直属代理编号", Length = 20, ColumnName = "organizationNumber")]
        public string? organizationNumber { get; set; }


        /// <summary>
        /// 直属代理名称
        /// </summary>
        [SugarColumn(ColumnDescription = "直属代理名称", Length = 20, ColumnName = "organizationName")]
        public string? organizationName { get; set; }


        /// <summary>
        /// 分润基础数据金额
        /// </summary>
        [SugarColumn(ColumnDescription = "分润基础数据金额", Length = 50, ColumnName = "amount")]
        public string? amount { get; set; }


        /// <summary>
        /// 原交易/结算流水单号
        /// </summary>
        [SugarColumn(ColumnDescription = "原交易/结算流水单号", Length = 20, ColumnName = "orderNo")]
        public string? orderNo { get; set; }


        /// <summary>
        /// 费率类型
        /// </summary>
        [SugarColumn(ColumnDescription = "费率类型", Length = 50, ColumnName = "valueType")]
        public string? valueType { get; set; }


        /// <summary>
        /// 支出方向
        /// </summary>
        [SugarColumn(ColumnDescription = "支出方向", Length = 10, ColumnName = "balanceDirection")]
        public string? balanceDirection { get; set; }


        /// <summary>
        /// 商户费率
        /// </summary>
        [SugarColumn(ColumnDescription = "商户费率", Length = 10, ColumnName = "originalRate")]
        public string? originalRate { get; set; }


        /// <summary>
        /// 原手续费
        /// </summary>
        [SugarColumn(ColumnDescription = "原手续费", Length = 10, ColumnName = "originalFee")]
        public string? originalFee { get; set; }


        /// <summary>
        /// 成本值
        /// </summary>
        [SugarColumn(ColumnDescription = "成本值", Length = 20, ColumnName = "profitCost")]
        public string? profitCost { get; set; }


        /// <summary>
        /// 优惠券金额
        /// </summary>
        [SugarColumn(ColumnDescription = "优惠券金额", Length = 10, ColumnName = "couponAmt")]
        public string? couponAmt { get; set; }


        /// <summary>
        /// 分润使用优惠券金额
        /// </summary>
        [SugarColumn(ColumnDescription = "分润使用优惠券金额", Length = 10, ColumnName = "actualCouponAmt")]
        public string? actualCouponAmt { get; set; }


        /// <summary>
        /// 分润税点
        /// </summary>
        [SugarColumn(ColumnDescription = "分润税点", Length = 10, ColumnName = "profitRate")]
        public string? profitRate { get; set; }


        /// <summary>
        /// 分润税费
        /// </summary>
        [SugarColumn(ColumnDescription = "分润税费", Length = 20, ColumnName = "rateFee")]
        public string? rateFee { get; set; }


        /// <summary>
        /// 入账比例
        /// </summary>
        [SugarColumn(ColumnDescription = "入账比例", Length = 10, ColumnName = "incomeScale")]
        public string? incomeScale { get; set; }


        /// <summary>
        /// 实际结账户金额
        /// </summary>
        [SugarColumn(ColumnDescription = "实际结账户金额", Length = 20, ColumnName = "actualIncomeAmt")]
        public string? actualIncomeAmt { get; set; }


        /// <summary>
        /// 分润日期
        /// </summary>
        [SugarColumn(ColumnDescription = "分润日期", Length = 20, ColumnName = "applyDay")]
        public string? applyDay { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", Length = 20, ColumnName = "createTime")]
        public string? createTime { get; set; }


        /// <summary>
        /// 一级服务商编号
        /// </summary>
        [SugarColumn(ColumnDescription = "一级服务商编号", Length = 20, ColumnName = "topOrgNo")]
        public string? topOrgNo { get; set; }



    }
}