using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IHdTradeRecordService : IBaseService<HdTradeRecord>
    {
        /// <summary>
        /// 好哒交易记录-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetHdTradeRecordListVo> getHdTradeRecordList([FromQuery] PagerInfo page, [FromQuery] HdTradeRecord param);


        /// <summary>
        /// 好哒交易记录-详情
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>详情</returns>
        HdTradeRecord getHdTradeRecordQuery(long id);


        /// <summary>
        /// 好哒交易记录-添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        long addHdTradeRecord([FromBody] HdTradeRecord param);


        /// <summary>
        /// 好哒交易记录-修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        long updateHdTradeRecord([FromBody] HdTradeRecord param);


        /// <summary>
        /// 好哒交易记录-删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        long deleteHdTradeRecord(long id);



    }
}
